<?php

namespace EasyContent\WordPress\Controllers\Actions\Main;

use EasyContent\WordPress\Controllers\Actions\BaseAction;
use EasyContent\WordPress\Implementation\Form\Defaults\ImageProcessingFormDefaults;
use EasyContent\WordPress\Implementation\Form\ImageProcessingForm;
use EasyContent\WordPress\Plugin;

class ImageProcessing extends BaseAction
{
    public function run()
    {
        $plugin = Plugin::getInstance();

        $form = new ImageProcessingForm(new ImageProcessingFormDefaults);
        $form->loadFromPost();

        if ($form->wasLoaded()) { // TODO: Validate
            $settings = $plugin->getImageProcessingSettings();

            $settings->resizingEnabled = $form->enableResizing();
            $settings->maxWidth = $form->getMaxWidth();
            $settings->maxHeight = $form->getMaxHeight();
            $settings->jpgCompressionLevel = $form->getJpgCompressionLevel();

            $message = __('Image processing settings were saved successfully', EASYCONTENT_TXTDOMAIN);
            $plugin->noticesManager->addNotice($message);
        }
        // TODO: Errors
//        elseif ( count( $form->getErrors( true ) ) > 0 ) {
//            foreach ( $form->getErrors( true ) as $error ) {
//                $plugin->noticesManager->addNotice( $error->getMessage(), NoticesManager::TYPE_ERROR );
//            }
//        }

        return $this->render( 'admin/pages/resize-options', [
            'form' => $form,
        ] );
    }
}
