<?php

namespace EasyContent\WordPress\Db\Models;

use EasyContent\WordPress\Db\BaseModel;

/**
 * @property integer $id
 * @property integer $article_id
 * @property integer $post_id
 * @property integer $sync_time
 */
class ArticlePost extends BaseModel
{
    public static function getFieldNames()
    {
        return ['id', 'article_id', 'post_id', 'sync_time'];
    }

    public static function getSynchronizationTime($articleId, $postId)
    {
        $wpdb = static::getWpdb();
        $tableName = static::tableName();

        $query = "SELECT `sync_time` FROM `{$tableName}` WHERE `article_id` = %d AND `post_id` = %d LIMIT 1;";

        $result = (int)$wpdb->get_var( $wpdb->prepare( $query, $articleId, $postId ) );

        return $result ?: null;
    }
}
