<?php

namespace EasyContent\WordPress\Domain\Seo;

final class Yoast extends SeoPlugin
{
    const META_TITLE_KEY = '_yoast_wpseo_title';
    const META_DESCRIPTION_KEY = '_yoast_wpseo_metadesc';

    public function saveMetaTitle($postId, $title)
    {
        update_post_meta( $postId, self::META_TITLE_KEY, $title);
    }

    public function saveMetaDescription($postId, $description)
    {
        update_post_meta( $postId, self::META_DESCRIPTION_KEY, $description);
    }

    public function getMetaTitle($postId)
    {
        return get_post_meta( $postId, self::META_TITLE_KEY, true );
    }

    public function getMetaDescription($postId)
    {
        return get_post_meta( $postId, self::META_DESCRIPTION_KEY, true );
    }
}
