<?php

namespace EasyContent\WordPress\Implementation\Entity\Misc;

final class Referer
{
    /** @var RefererScheme $scheme */
    private $scheme;
    /** @var string $host */
    private $host;

    /**
     * @param RefererScheme $scheme
     * @param string $host
     */
    private function __construct(RefererScheme $scheme, $host)
    {
        $this->scheme = $scheme;
        $this->host = $host;
    }

    /**
     * @return Referer|null
     */
    public static function fromServer()
    {
        $scheme = isset($_SERVER['REQUEST_SCHEME']) ? $_SERVER['REQUEST_SCHEME'] : 'http';
        $host = empty($_SERVER['HTTP_HOST']) ? null : $_SERVER['HTTP_HOST'];

        if (null === $host) {
            return null;
        }

        return new self(
            new RefererScheme($scheme),
            $host
        );
    }

    public function asString()
    {
        return "{$this->scheme->asString()}://{$this->host}";
    }

    public function __toString()
    {
        return $this->asString();
    }
}
