<?php

namespace EasyContent\WordPress\Implementation\Form;

use EasyContent\WordPress\Source\UseCase\Connect\Command;

final class ConnectionForm extends BaseForm
{
    const NAME = 'ECConnectionForm';

    const FIELD_PUBLIC_KEY = 'public';

    protected $fieldsConfig = [
        self::FIELD_PUBLIC_KEY => [
            'filters' => 'strval',
        ],
    ];

    /**
     * @return string
     * @throws Exception\FormFieldMissingException
     */
    public function getPublicKey()
    {
        return $this->getFieldValue(self::FIELD_PUBLIC_KEY);
    }

    /**
     * @return Command|null
     */
    public function getCommand()
    {
        if (!$this->getPublicKey()) {
            return null;
        }

        return new Command($this->getPublicKey());
    }

    public function getName()
    {
        return self::NAME;
    }
}
