<?php

namespace EasyContent\WordPress\Implementation\Form\Defaults;

use EasyContent\WordPress\Implementation\Form\ImageProcessingForm;
use EasyContent\WordPress\Plugin;

final class ImageProcessingFormDefaults implements DefaultsProvider
{
    public function get($fieldName)
    {
        $settings = Plugin::getInstance()->getImageProcessingSettings();

        switch ($fieldName) {
            case ImageProcessingForm::FIELD_ENABLE_RESIZING:
                return $settings->resizingEnabled;
            case ImageProcessingForm::FIELD_MAX_WIDTH:
                return $settings->maxWidth;
            case ImageProcessingForm::FIELD_MAX_HEIGHT:
                return $settings->maxHeight;
            case ImageProcessingForm::FIELD_JPG_COMPRESSION_LEVEL:
                return $settings->jpgCompressionLevel;
        }

        return null;
    }
}
