<?php

namespace EasyContent\WordPress\Implementation\Form;

final class PublishingOptionsForm extends BaseForm
{
    const NAME = 'ECPublishingOptionsForm';

    const FIELD_POST_AUTHOR_ID = 'postAuthorId';
    const FIELD_POST_TYPE = 'postType';
    const FIELD_POST_STATUS = 'postStatus';
    const FIELD_COMMENTS_STATUS = 'commentsStatus';
    const FIELD_CATEGORY_MAPPINGS = 'categoryMappings';
    const FIELD_DEFAULT_CATEGORY_ID = 'defaultCategoryId';

    protected $fieldsConfig = [
        self::FIELD_POST_AUTHOR_ID => [
            'filters' => 'intval',
        ],
        self::FIELD_POST_TYPE => [
            'filters' => 'strval',
        ],
        self::FIELD_POST_STATUS => [
            'filters' => 'strval',
        ],
        self::FIELD_COMMENTS_STATUS => [
            'filters' => 'strval',
        ],
        self::FIELD_CATEGORY_MAPPINGS => [
            //'filters' => '',// TODO
        ],
        self::FIELD_DEFAULT_CATEGORY_ID => [
            'filters' => 'intval',
        ],
    ];

    public function getName()
    {
        return self::NAME;
    }

    /**
     * @return int Non-negative. 0 means no author was selected
     */
    public function getPostAuthorId()
    {
        return $this->getFieldValue(self::FIELD_POST_AUTHOR_ID);
    }

    /**
     * @return string
     */
    public function getPostType()
    {
        return $this->getFieldValue(self::FIELD_POST_TYPE);
    }

    /**
     * @return string
     */
    public function getPostStatus()
    {
        return $this->getFieldValue(self::FIELD_POST_STATUS);
    }

    /**
     * @return string
     */
    public function getCommentsStatus()
    {
        return $this->getFieldValue(self::FIELD_COMMENTS_STATUS);
    }

    /**
     * @return array
     */
    public function getCategoriesMappings()
    {
        return $this->getFieldValue(self::FIELD_CATEGORY_MAPPINGS);
    }

    /**
     * @return int
     */
    public function getDefaultCategoryId()
    {
        return $this->getFieldValue(self::FIELD_DEFAULT_CATEGORY_ID);
    }
}
