<?php

namespace EasyContent\WordPress\Implementation\Formatters;

use EasyContent\WordPress\Source\Api\Entity\WorkflowStatus;

final class StatusesListFormatter
{
    private $statuses;

    /**
     * @param array|WorkflowStatus[] $statuses
     */
    public function __construct(array $statuses)
    {
        $this->statuses = $statuses;
    }

    /**
     * @return array
     */
    public function asArray()
    {
        return array_map(function(WorkflowStatus $status) {
            return [
                'id' => $status->getId(),
                'color' => $status->getColor(),
                'name' => $status->getName(),
                'is_core' => $status->getIsCore(),
            ];
        }, $this->statuses);
    }
}
