<?php

namespace EasyContent\WordPress\Implementation\Http;

/**
 * Represents methods that could be used to call EasyContent plugin API
 */
final class Method
{
    const GET = 'GET';
    const POST = 'POST';
    const PATCH = 'PATCH';

    private $method;

    private function __construct($method)
    {
        $this->method = $method;
    }

    /**
     * @return string
     */
    public function asString()
    {
        return $this->method;
    }

    /**
     * @return Method
     */
    public static function get()
    {
        return new self(self::GET);
    }

    /**
     * @return Method
     */
    public static function post()
    {
        return new self(self::POST);
    }

    /**
     * @return Method
     */
    public static function patch()
    {
        return new self(self::PATCH);
    }
}
