<?php

namespace EasyContent\WordPress\Rest\Actions;

use EasyContent\WordPress\Implementation\Formatters\StatusesListFormatter;
use EasyContent\WordPress\Source\Entity\WorkflowStatusStorage;

class GetWorkflowStages extends BaseAction
{
    private $statuses;

    public function __construct(WorkflowStatusStorage $statuses)
    {
        $this->statuses = $statuses;
    }

    public function run(\WP_REST_Request $request)
    {
        return (new StatusesListFormatter($this->statuses->all()))->asArray();
    }
}
