<?php

namespace EasyContent\WordPress\Source\Api\Entity;

final class FeaturedImage extends Entity
{
    /** @var string $url */
    private $url;
    /** @var string $alt */
    private $alt;

    private function __construct() { }

    public static function fromState(array $data)
    {
        return (new self)
            ->setUrl($data)
            ->setAlt($data);
    }

    /**
     * @return string
     */
    public function getUrl()
    {
        return $this->url;
    }

    /**
     * @param array $data
     * @return FeaturedImage
     */
    private function setUrl(array $data)
    {
        $this->ensureArrayKeyExists('url', $data);
        $this->ensureString($data['url']);
        $this->url = $data['url'];
        return $this;
    }

    /**
     * @return string
     */
    public function getAlt()
    {
        return $this->alt;
    }

    /**
     * @param array $data
     * @return FeaturedImage
     */
    private function setAlt(array $data)
    {
        $this->ensureArrayKeyExists('alt', $data);
        $this->ensureString($data['alt']);
        $this->alt = $data['alt'];
        return $this;
    }
}
