<?php

namespace EasyContent\WordPress\Source\Entity;

use EasyContent\WordPress\Source\Api\Entity\EntityInterface;

final class CacheCheckResult
{
    /** @var array|EntityInterface[] $delete */
    private $delete;
    /** @var array|EntityInterface[] $insert */
    private $insert;
    /** @var array|EntityInterface[] $checkUpdate */
    private $checkUpdate;
    /** @var array|EntityInterface[] $indexedFreshData */
    private $indexedFreshData;

    /**
     * @param array|EntityInterface[] $delete
     * @param array|EntityInterface[] $insert
     * @param array|EntityInterface[] $checkUpdate
     */
    public function __construct(array $delete, array $insert, array $checkUpdate, array $indexedFreshData)
    {
        $this->delete = $delete;
        $this->insert = $insert;
        $this->checkUpdate = $checkUpdate;
        $this->indexedFreshData = $indexedFreshData;
    }

    /**
     * @return array|EntityInterface[]
     */
    public function getDelete()
    {
        return $this->delete;
    }

    /**
     * @return array|EntityInterface[]
     */
    public function getInsert()
    {
        return $this->insert;
    }

    /**
     * @return array|EntityInterface[]
     */
    public function getCheckUpdate()
    {
        return $this->checkUpdate;
    }

    /**
     * @param mixed $id
     * @return null|EntityInterface
     */
    public function getFreshRowById($id)
    {
        return isset($this->indexedFreshData[$id]) ? $this->indexedFreshData[$id] : null;
    }
}
