<?php

namespace EasyContent\WordPress\Source\Entity;

use EasyContent\WordPress\Source\Exception\CachedArticleNotFoundException;

interface CachedArticlesStorage extends LocalCache
{
    /**
     * @param int[] $ids
     * @return void
     */
    public function removeByIds(array $ids);

    /**
     * @param CachedArticle $article
     * @param null|Post $relatedPost
     * @return void
     */
    public function save(CachedArticle $article, $relatedPost = null);

    /**
     * @param int $id
     * @return CachedArticle
     * @throws CachedArticleNotFoundException
     */
    public function getById($id);
}
