<?php

namespace EasyContent\WordPress\Source\Entity;

use EasyContent\WordPress\Source\Api\Entity\ImportedArticle;
use EasyContent\WordPress\Source\Api\Entity\Responses\ImportResponse;
use EasyContent\WordPress\Source\Entity\Article\ArticleId;
use EasyContent\WordPress\Source\Exception\RemoteArticleNotFoundException;

interface EasyContentArticlesStorage
{
    /**
     * @param int[] $ids
     * @return null|ImportResponse
     */
    public function findByIds(array $ids);

    /**
     * @param ArticleId $id
     * @return ImportedArticle
     * @throws RemoteArticleNotFoundException If article wasn't found
     */
    public function getById(ArticleId $id);

    /**
     * @param ImportedArticle $article
     * @return void
     */
    public function updateStatus(ImportedArticle $article);

    /**
     * @param ImportedArticle $article
     * @return void
     */
    public function add(ImportedArticle $article);

    /**
     * @param ImportedArticle $article
     * @return void
     */
    public function update(ImportedArticle $article);
}
