<?php

namespace EasyContent\WordPress\Source\Entity;

use EasyContent\WordPress\Source\Api\Entity\Category;
use EasyContent\WordPress\Source\Api\Entity\ImportedArticle;
use EasyContent\WordPress\Source\Api\Entity\Responses\ConnectionResponse;
use EasyContent\WordPress\Source\Api\Entity\WorkflowStatus;

interface EasyContentStorage
{
    /**
     * @param string $key
     * @return ConnectionResponse
     */
    public function fetchAll($key);

    /**
     * @return array|Category[]
     */
    public function getCategories();

    /**
     * @return array|ImportedArticle[]
     */
    public function getArticles();

    /**
     * @return WorkflowStatus[]
     */
    public function getStatuses();
}
