<?php

namespace EasyContent\WordPress\Source\UseCase\Import;

final class Command
{
    /** @var null|int $newWorkflowStatusId */
    private $newWorkflowStatusId;
    /** @var int[] $articlesIds Non-empty set of unique integers */
    private $articlesIds;

    /**
     * @param int|null $newWorkflowStatusId
     * @param int[] $articlesIds
     */
    public function __construct(array $articlesIds, $newWorkflowStatusId = null)
    {
        $this->newWorkflowStatusId = $newWorkflowStatusId;
        $this->articlesIds = $articlesIds;
    }

    /**
     * @return int|null
     */
    public function getNewWorkflowStatusId()
    {
        return $this->newWorkflowStatusId;
    }

    /**
     * @return int[]
     */
    public function getArticlesIds()
    {
        return $this->articlesIds;
    }
}
