<?php

namespace EasyContent\WordPress\Storages;

/**
 * @property bool $resizingEnabled
 * @property int $maxWidth
 * @property int $maxHeight
 * @property int $jpgCompressionLevel
 */
class ImageProcessingSettings extends BaseOptionsStorage
{
    protected function getDefaults()
    {
        return [
            'resizingEnabled' => false,
            'maxWidth' => 1200,
            'maxHeight' => 1200,
            'jpgCompressionLevel' => 90
        ];
    }


    protected function getMappings()
    {
        return [
            'resizingEnabled' => [
                'name' => 'ec-image-resizing-enabled',
                'filter' => 'boolval'
            ],
            'maxWidth' => [
                'name' => 'ec-image-max-width',
                'filter' => 'absint'
            ],
            'maxHeight' => [
                'name' => 'ec-image-max-height',
                'filter' => 'absint'
            ],
            'jpgCompressionLevel' => [
                'name' => 'ec-jpg-compression-level',
                'filter' => 'absint'
            ]
        ];
    }
}
