<?php

namespace EasyContent\WordPress\ValueObjects;

final class PostStatus
{
    const PUBLISH  = 'publish';
    const DRAFT    = 'draft';
    const PENDING  = 'pending';
    const PRIVATE_ = 'private';
    const FUTURE   = 'future';

    private $status;

    public function __construct($status)
    {
        $statuses = [self::PUBLISH, self::DRAFT, self::PENDING, self::PRIVATE_, self::FUTURE];

        if (!in_array($status, $statuses, true)) {
            throw new \Exception("{$status} is invalid status");
        }

        $this->status = $status;
    }

    public function asString()
    {
        return $this->status;
    }

    public static function publish()
    {
        return new self(self::PUBLISH);
    }
    public static function draft()
    {
        return new self(self::DRAFT);
    }
    public static function pending()
    {
        return new self(self::PENDING);
    }
    public static function private_()
    {
        return new self(self::PRIVATE_);
    }
    public static function future()
    {
        return new self(self::FUTURE);
    }
}
