<?php
/**
 * @var \EasyContent\WordPress\Post $post
 * @var array $stages
 * @var null|\EasyContent\WordPress\Db\Models\WorkflowStage $currentStage
 */
?>
<p>
    <span class="dashicons dashicons-edit"></span>
    <span><?= esc_html__( 'Item', EASYCONTENT_TXTDOMAIN ) ?>:</span>
    <?php if ( $post->isSynced() ) : ?>
        <a href="<?= esc_url( $post->getArticle()->getEditRemoteArticleUrl() ) ?>" target="_blank">
            <?= esc_html( $post->getArticle()->title ) ?>
        </a>
    <?php else : ?>
        <span><?= esc_html__( 'N/A', EASYCONTENT_TXTDOMAIN ) ?></span>
    <?php endif ?>
</p>

<p>
    <?php if ( $post->isSynced() ) : ?>
        <span id="ec-workflow-stage-metabox-data-wrapper">
            <span class="dashicons dashicons-admin-network"></span>
            <span><?= esc_html__( 'Status', EASYCONTENT_TXTDOMAIN ) ?>:</span>
            <span
                class="ec-stage-color"
                style="<?= esc_attr( $currentStage ? 'background-color: #' . $currentStage->color : '' ) ?>"
            ></span>
            <span><?= esc_html( $currentStage ? $currentStage->name : '' ) ?></span>
            <button type="button" class="button button-link" id="ec-edit-workflow-stage-button">
                <?= esc_html__( 'Change', EASYCONTENT_TXTDOMAIN ) ?>
            </button>
        </span>

        <?php if ( $stages ) : ?>
            <span class="ec-workflow-stage-metabox-wrapper ec-workflow-stage-metabox-wrapper_hidden" id="ec-workflow-stage-metabox-input-wrapper">
                <select class="ec-workflow-stage-metabox-wrapper__input" name="ec_new_article_ws_id" id="ec-workflow-stage-metabox-input">
                    <?php foreach ( $stages as $stage ) : ?>
                        <option value="<?= esc_attr( $stage['id'] ) ?>" <?php selected( $currentStage->id, $stage['id'] ) ?>>
                            <?= esc_html( $stage['name'] ) ?>
                        </option>
                    <?php endforeach ?>
                </select>

                <button type="submit" name="ec_change_article_ws" value="1" class="button button-primary ec-workflow-stage-metabox-wrapper__button">
                    <span class="dashicons dashicons-yes"></span>
                </button>
                <button type="button" class="button button-secondary ec-workflow-stage-metabox-wrapper__button" id="ec-cancel-edit-workflow-stage">
                    <span class="dashicons dashicons-no-alt"></span>
                </button>
            </span>
        <?php endif ?>
    <?php else : ?>
        <span class="dashicons dashicons-admin-network"></span>
        <span><?= esc_html__( 'Status', EASYCONTENT_TXTDOMAIN ) ?>:</span>
        <span><?= esc_html__( 'N/A', EASYCONTENT_TXTDOMAIN ) ?></span>
    <?php endif ?>
</p>

<p>
    <span class="dashicons dashicons-calendar"></span>
    <span><?= esc_html__( 'Last Updated', EASYCONTENT_TXTDOMAIN ) ?>:</span>
    <?php if ( $post->isSynced() ) : ?>
        <span><?= esc_html( $post->getSynchronizationTimeString() ) ?></span>
    <?php else : ?>
        <span>&mdash;</span>
    <?php endif ?>
</p>

<div class="ec-meta-box__footer">
    <?php if ( $post->isSynced() ) : ?>
        <button type="button" class="button button-primary button-large" id="ec-pull-article-button">
            <?= esc_html__( 'Pull', EASYCONTENT_TXTDOMAIN ) ?>
        </button>
    <?php else : ?>
        <span disabled class="button button-secondary button-large">
            <?= esc_html__( 'Pull', EASYCONTENT_TXTDOMAIN ) ?>
        </span>
    <?php endif ?>

    <button type="button" class="button button-primary button-large" id="ec-push-article-button">
        <?= esc_html__( 'Push', EASYCONTENT_TXTDOMAIN ) ?>
    </button>
</div>

<div id="ec-push-confirmation-modal">
    <?php if ( $post->isSynced() ) : ?>
        <span><?= esc_html__( 'Are you sure you want to push this post to EasyContent? Any changes in EasyContent will be overwritten.', EASYCONTENT_TXTDOMAIN ) ?></span>
    <?php else : ?>
        <span><?= esc_html__( 'Push this post to EasyContent?', EASYCONTENT_TXTDOMAIN ) ?></span>
    <?php endif ?>
</div>

<?php if ( $post->isSynced() ) : ?>
    <div id="ec-pull-confirmation-modal">
        <span><?= esc_html__( 'Are you sure you want to pull this Post from EasyContent? Any local changes will be overwritten.', EASYCONTENT_TXTDOMAIN ) ?></span>
    </div>
<?php endif;
